WHICH(1)

NAME
which - locate a program file including aliases and paths (csh(1)) only)

SYNOPSIS
which [-a] name [...]

DESCRIPTION
which takes a list of names and looks for the files which would be executed had these names been given as commands. Each argument is expanded if it is aliased, and searched for along the user's PATH. Both aliases and path are taken from the user's .cshrc file.

If the -a flag is given, which will continue to search the PATH until all instances of a program file are found.

FILES

~/.cshrc
    source of aliases and path values

DIAGNOSTICS
A diagnostic is given for names which are aliased to more than a single word, or if an executable file with the argument name was not found in the path.

BUGS
Must be executed by a csh(1), or some other shell which knows about aliases.

HISTORY
The which command appeared in 3.0BSD.